# Command: undef

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    undef - Remove a key from a dictionary.

Synopsis:

    dict key undef ->	-

Examples:

      SLI ] /d << /a 1 /b 2 >> def
      SLI ] d info
     	- --------------------------------------------------
      Name	 Type	 Value
     	- --------------------------------------------------
      a	 integertype	 1
      b	 integertype	 2
     	- --------------------------------------------------
      Total number of entries: 2
      SLI ] d /b undef
      SLI ] d info
     	- --------------------------------------------------
      Name	 Type	 Value
     	- --------------------------------------------------
      a	 integertype	 1
     	- --------------------------------------------------
      Total number of entries: 1

Description:

      undef removes the definition of a name from the supplied dictionary.
      The name does not have to be present in the dicitonary.

Parameters:

      dict	- a (possibly empty) dictionary
      key 	- a literal name to be removed.

Diagnostics:

      None.

Author:

    docu edited by Marc Oliver Gewaltig and Sirko Straube

SeeAlso:

- get_d
- put_d
- known
- lookup
- info

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/slidict.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative